Package fr.gouv.vitam.logbook.common.parameters

# Class LogbookLifeCycleObjectGroupParameters

java.lang.Object
fr.gouv.vitam.logbook.common.parameters.LogbookLifeCycleParameters
fr.gouv.vitam.logbook.common.parameters.LogbookLifeCycleObjectGroupParameters

All Implemented Interfaces:
  `VitamParameter<LogbookParameterName>`, `LogbookParameters`

public class LogbookLifeCycleObjectGroupParameters extends LogbookLifeCycleParameters
Parameters for the logbook life cycles object group

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<LogbookParameterName>`
  `mandatoryParameters`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `LogbookLifeCycleObjectGroupParameters(Map<String,String> map)`
  Builder for REST interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocalDateTime`
  `getEventDateTime()`
  The EventDateTime is set by the Logbook methods during creation or append
  `Set<LogbookParameterName>`
  `getMandatoriesParameters()`
  Get the attributes name which not have to be empty or null
  `Map<LogbookParameterName,String>`
  `getMapParameters()`
  Get all the parameters
  `String`
  `getParameterValue(LogbookParameterName parameterName)`
  Get the parameter according to the parameterName
  `StatusCode`
  `getStatus()`
  Get the outcome status
  `LogbookTypeProcess`
  `getTypeProcess()`
  Get the process type
  `LogbookParameters`
  `putParameterValue(LogbookParameterName parameterName, String parameterValue)`
  Put parameterValue on mapParamaters with parameterName key
  If parameterKey already exists, the override it (no check)
  `LogbookParameters`
  `setBeginningLog(String handlerId, String subTaskId, String additionnalMessage, String... params)`
  Update the current LogbookParameters with status and message
  `LogbookParameters`
  `setFinalStatus(String handlerId, String subTaskId, StatusCode code, String additionalMessage, String... params)`
  Update the current LogbookParameters with status and message
  `LogbookParameters`
  `setFromParameters(LogbookParameters parameters)`
  Set from another LogbookParameters
  `LogbookParameters`
  `setMap(Map<String,String> map)`
  Set from map using String as Key
  `LogbookParameters`
  `setStatus(StatusCode outcome)`
  Set the outcome status
  `LogbookParameters`
  `setTypeProcess(LogbookTypeProcess process)`
  Set the process type
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### mandatoryParameters

    protected Set<LogbookParameterName> mandatoryParameters

- ## Constructor Details

  - ### LogbookLifeCycleObjectGroupParameters

    protected LogbookLifeCycleObjectGroupParameters(Map<String,String> map)
    Builder for REST interface
    Parameters:
      `map` -
    Throws:
      `IllegalArgumentException` - if one key is not allowed

- ## Method Details

  - ### getMandatoriesParameters

    public Set<LogbookParameterName> getMandatoriesParameters()
    Description copied from interface: `VitamParameter`
    Get the attributes name which not have to be empty or null
    Specified by:
      `getMandatoriesParameters` in interface `VitamParameter<LogbookParameterName>`
    Returns:
      a set of attributes name

  - ### getEventDateTime

    public LocalDateTime getEventDateTime()
    Description copied from interface: `LogbookParameters`
    The EventDateTime is set by the Logbook methods during creation or append
    Specified by:
      `getEventDateTime` in interface `LogbookParameters`
    Returns:
      the associated EventDateTime if set (or null if not set yet)

  - ### setStatus

    public LogbookParameters setStatus(StatusCode outcome)
    Description copied from interface: `LogbookParameters`
    Set the outcome status
    Specified by:
      `setStatus` in interface `LogbookParameters`
    Parameters:
      `outcome` -
    Returns:
      this

  - ### getStatus

    public StatusCode getStatus()
    Description copied from interface: `LogbookParameters`
    Get the outcome status
    Specified by:
      `getStatus` in interface `LogbookParameters`
    Returns:
      the status (or null if not set yet)

  - ### setFinalStatus

    public LogbookParameters setFinalStatus(String handlerId, String subTaskId, StatusCode code, String additionalMessage, String... params)
    Description copied from interface: `LogbookParameters`
    Update the current LogbookParameters with status and message
    Specified by:
      `setFinalStatus` in interface `LogbookParameters`
    Parameters:
      `handlerId` - the Handler Id
      `subTaskId` - the subTask Id if any (may be null)
      `code` - the Status CodeAdminManagementClientRestTest
      `additionalMessage` - the additional message (as " Details= ...") if any (may be null)
      `params` - the additional parameters for the message if any (may be null)
    Returns:
      this

  - ### setBeginningLog

    public LogbookParameters setBeginningLog(String handlerId, String subTaskId, String additionnalMessage, String... params)
    Description copied from interface: `LogbookParameters`
    Update the current LogbookParameters with status and message
    Specified by:
      `setBeginningLog` in interface `LogbookParameters`
    Parameters:
      `handlerId` - the Handler Id
      `subTaskId` - the subTask Id if any (may be null)
      `additionnalMessage` - the additional message (as " Details= ...") if any (may be null)
      `params` - the additional parameters for the message if any (may be null)
    Returns:
      this

  - ### setTypeProcess

    public LogbookParameters setTypeProcess(LogbookTypeProcess process)
    Description copied from interface: `LogbookParameters`
    Set the process type
    Specified by:
      `setTypeProcess` in interface `LogbookParameters`
    Parameters:
      `process` - process type
    Returns:
      this

  - ### getTypeProcess

    public LogbookTypeProcess getTypeProcess()
    Description copied from interface: `LogbookParameters`
    Get the process type
    Specified by:
      `getTypeProcess` in interface `LogbookParameters`
    Returns:
      the process type (or null if not set yet)

  - ### putParameterValue

    public LogbookParameters putParameterValue(LogbookParameterName parameterName, String parameterValue)
    Description copied from interface: `LogbookParameters`
    Put parameterValue on mapParamaters with parameterName key
    If parameterKey already exists, the override it (no check)
    Specified by:
      `putParameterValue` in interface `LogbookParameters`
    Parameters:
      `parameterName` - the key of the parameter to put on the parameter map
      `parameterValue` - the value to put on the parameter map
    Returns:
      actual instance of LogbookParameters (fluent like)

  - ### getParameterValue

    public String getParameterValue(LogbookParameterName parameterName)
    Description copied from interface: `LogbookParameters`
    Get the parameter according to the parameterName
    Specified by:
      `getParameterValue` in interface `LogbookParameters`
    Parameters:
      `parameterName` -
    Returns:
      the value or null if not found

  - ### setMap

    public LogbookParameters setMap(Map<String,String> map)
    Description copied from interface: `LogbookParameters`
    Set from map using String as Key
    Specified by:
      `setMap` in interface `LogbookParameters`
    Parameters:
      `map` -
    Returns:
      this

  - ### setFromParameters

    public LogbookParameters setFromParameters(LogbookParameters parameters)
    Description copied from interface: `LogbookParameters`
    Set from another LogbookParameters
    Specified by:
      `setFromParameters` in interface `LogbookParameters`
    Parameters:
      `parameters` -
    Returns:
      this

  - ### getMapParameters

    public Map<LogbookParameterName,String> getMapParameters()
    Description copied from interface: `VitamParameter`
    Get all the parameters
    Specified by:
      `getMapParameters` in interface `VitamParameter<LogbookParameterName>`
    Returns:
      a map with all parameters (key = attribute name, value = attribute value)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`